Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Class EndpointState

    java.lang.Object
      org.apache.cassandra.gms.EndpointState

    public class EndpointState

extends java.lang.Object

This abstraction represents both the HeartBeatState and the ApplicationState in an EndpointState instance. Any state for a given endpoint can be retrieved from this instance.

Field Summary
`protected static org.slf4j.Logger` | `logger`

Method Summary
`VersionedValue` | `getApplicationState(ApplicationState key)`
`java.util.Map<ApplicationState,VersionedValue>` | `getApplicationStateMap()` Deprecated.
`long` | `getUpdateTimestamp()`
`boolean` | `isAlive()`
`static IVersionedSerializer<EndpointState>` | `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static org.slf4j.Logger logger

Method Detail

### serializer

    public static IVersionedSerializer<EndpointState> serializer()

### getApplicationState

    public VersionedValue getApplicationState(ApplicationState key)

### getApplicationStateMap

    @Deprecated
    public java.util.Map<ApplicationState,VersionedValue> getApplicationStateMap()

  Deprecated.

  TODO replace this with operations that don't expose private state

### getUpdateTimestamp

    public long getUpdateTimestamp()

### isAlive

    public boolean isAlive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation